/*
 * Copyright (C) 2008 Luke Kenneth Casson Leighton <lkcl@lkcl.net>
 * Copyright (C) 2008 Alp Toker <alp@atoker.com>
 * Copyright (C) 2008 Apple Inc.
 */

#ifndef __GdomScreen_H___INT_
#define __GdomScreen_H___INT_
#include "glib-object.h"
#include "gdom/PrivateIntGdomDOMObject.h"
#include "GDOMObject.h"
#include "Screen.h"
namespace WebCore {
    gpointer toGDOM(Screen* node);
} /* namespace WebCore */ 
G_BEGIN_DECLS
class GDOMScreen : public GDOMObject {
    typedef GDOMObject Base;
public:
    int get_gobj_type() { return GDOM_TYPE_SCREEN; }
    GDOMScreen(PassRefPtr<WebCore::Screen> impl);
    virtual ~GDOMScreen();
    WebCore::Screen* impl() const { return m_impl.get(); }

private:
    RefPtr<WebCore::Screen> m_impl;
};
G_END_DECLS

#endif /* __GdomScreen_H___INT_*/
